module Init(Empty: sig end) = struct

  let clients = ref [] 

  let add_client c =
Join_utils.print_DEBUG "Opt_root. add_client";
    let h, p = Join_utils.parse_host_port c in
    let addr = Join_utils.sockaddr h p in
    clients := addr :: ! clients
			
  let usage = 
    "Usage: "^Sys.argv.(0) ^ " [[host]:[port]]*"

  let _ = Arg.parse [] add_client usage

  let clients = !clients

(* let create_countdown n = *)
(*   def count(n) & tick() = count(n-1) *)
(*   or  count(0) & wait() = reply to wait in *)
(*   spawn count(n) ; *)
(*   tick,wait *)
 
(* let par_list_iter f l = *)
(*   let tick, wait = create_countdown (List.length l) in *)
(*   def f_chan(x) = f x; tick() in *)
(*   List.iter (fun x -> spawn f_chan(x)) l; *)
(*   wait() *)

  let clients_ns =
    List.map
      (fun addr ->
	let site = Join_utils.get_site 128 addr in
	Join.Ns.of_site site)
      clients

end
