(* $Id: make_coupling.mli,v 1.3 2007/02/27 11:36:53 fclement Exp $ *)

open Rdec2;;
open Config;;
open My_data;;

val get_worker_dir : unit -> string
val set_worker_dir : string -> unit
val get_worker_filename : unit -> string
val set_worker_filename : string -> unit
val get_number_of_workers : unit -> int
val set_number_of_workers : int -> unit
val get_config_dir : unit -> string
val set_config_dir : string -> unit
val get_config_filename : unit -> string
val set_config_filename : string -> unit
val get_res_dir : unit -> string
val set_res_dir : string -> unit

val get_number_of_workers : unit -> int;;

val get_global_parameters :
   unit -> string * configuration * regular_decomposition;;

val set_data :
    unit -> string * configuration * regular_decomposition -> subdomain array;;
val computation_on_a_subdomain : unit -> subdomain -> subdomain;;
val proj : unit -> subdomain array -> subdomain array;;
val plot : unit -> subdomain array -> subdomain array;;
val convergence : subdomain array -> bool;;
val print_result : subdomain array -> unit;;
